### Signal

# WebKit2WebExtension WebPage::console-message-sent

since: 2.12

#### Declaration

    void
    console_message_sent (
      WebKitWebPage* self,
      WebKitConsoleMessage* console_message,
      gpointer user_data
    )

#### Description [src]

Emitted when a message is sent to the console. This can be a message produced by the use of JavaScript console API, a JavaScript exception, a security error or other errors, warnings, debug or log messages. The `console_message` contains information of the message.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.12

#### Parameters

`console_message`

  Type: `WebKitConsoleMessage`

  The `WebKitConsoleMessage`.

  The data is owned by the caller of the function.